<?php

namespace catchAdmin\alarm\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\alarm\model\ControlAalrm as controlAalrmModel;

class ControlAalrm extends CatchController
{
    protected $controlAalrmModel;
    
    public function __construct(ControlAalrmModel $controlAalrmModel)
    {
        $this->controlAalrmModel = $controlAalrmModel;
    }
    
    /**
     * 列表
     * @time 2022年10月27日 15:33
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        return CatchResponse::paginate($this->controlAalrmModel->getList());
    }
    
    /**
     * 保存信息
     * @time 2022年10月27日 15:33
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        return CatchResponse::success($this->controlAalrmModel->storeBy($request->post()));
    }
    
    /**
     * 读取
     * @time 2022年10月27日 15:33
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->controlAalrmModel->findBy($id));
    }
    
    /**
     * 更新
     * @time 2022年10月27日 15:33
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        return CatchResponse::success($this->controlAalrmModel->updateBy($id, $request->post()));
    }
    
    /**
     * 删除
     * @time 2022年10月27日 15:33
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->controlAalrmModel->deleteBy($id));
    }
}